Bug 188436 - rmmod is used in /etc/pm/hooks/50modules (and not modprobe -r)
rmmod is used in /etc/pm/hooks/50modules (and not modprobe -r)
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2006-04-09 18:52 EDT by Paul Bolle
Modified: 2015-03-04 20:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-28 16:54:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Bolle 2006-04-09 18:52:06 EDT
Description of problem:
rmmod is used in /etc/pm/hooks/50modules for removing moudles at suspend (and
not modprobe -r). As far as I know this has as a side-effect that you have to
specify modules to be removed at suspend (and to be loaded at resume) as they
appear in /proc/modules (their "real" name). If 'modprobe -r' would be used one
could also use aliases for those modules (in /etc/sysconfig/pm).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. add a module by it's alias to /etc/sysconfig/pm
2. suspend or hibernate
Actual results:
module is not removed (at suspend) and not loaded (at resume)

Expected results:
module is removed (at suspend) and loaded (at resume)

Additional info:
I do hope that my analysis (that rmmod doesn't use /etc/modprobe.conf) is
correct. Assuming that's the case: there could be valid (but unkown to me)
reasons to use rmmod and not 'modprobe -r' but then I'd say it should be noted
in /etc/sysconfig/pm that one must add modules not by their aliases.

On a side note: I'd guess rmmod also bypasses the "remove" / "--ignore-remove"
trick that /etc/modprobe.conf allows, but I haven't yet ran into that.
Comment 1 Peter Jones 2006-09-28 16:54:00 EDT
Should be fixed in 0.19-1

Note You need to log in before you can comment on or make changes to this bug.